Zum Hauptinhalt springen
POST
/
video
/
retrieve
/api/v1/video/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/video/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "video-model-123",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 145000,
  "execution_duration": 53200
}
Bei privaten Modellen wird die fertige Datei über die von /video/queue zurückgegebene download_url heruntergeladen (nicht als Binärdaten von diesem Endpoint). Siehe Private Download-Links für Informationen zur Funktionsweise des Links, zu Wiederholungen und zum optionalen DELETE.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
erforderlich

The ID of the model used for video generation.

Beispiel:

"video-model-123"

queue_id
string
erforderlich

The ID of the video generation request.

Beispiel:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
Standard:false

If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video.

Beispiel:

false

Antwort

Video file if completed, or processing status if still in progress

status
enum<string>
erforderlich

The status of the video generation request.

Verfügbare Optionen:
PROCESSING,
COMPLETED
Beispiel:

"PROCESSING"

average_execution_time
number
erforderlich

The estimated execution time of the video generation request in milliseconds (P80).

Beispiel:

145000

execution_duration
number
erforderlich

The current duration of the video generation request in milliseconds.

Beispiel:

53200